=== debian/changelog ===
golang-go.pedge-lion (0.0~git20171203.2a81062-5) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:12:07 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-4) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:43:39 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-3) unstable; urgency=medium

  * Don't build tail.
  * Skip tests.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 18:36:23 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-2) unstable; urgency=medium

  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 22:28:29 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-1) unstable; urgency=medium

  * Initial release (Closes: #885272)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:13:47 -0500
