=== debian/control ===
Source: golang-go.pedge-lion
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-gin-gonic-gin-dev,
               golang-github-go-kit-kit-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-stretchr-testify-dev,
               golang-google-grpc-dev,
               golang-go.pedge-env-dev,
               golang-goprotobuf-dev
Standards-Version: 4.1.1
Homepage: https://github.com/peter-edge/lion-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.pedge-lion
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.pedge-lion.git
XS-Go-Import-Path: go.pedge.io/lion
Testsuite: autopkgtest-pkg-go

Package: golang-go.pedge-lion-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-fatih-color-dev,
         golang-github-gin-gonic-gin-dev,
         golang-github-go-kit-kit-dev,
         golang-github-mattn-go-isatty-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-stretchr-testify-dev,
         golang-google-grpc-dev,
         golang-go.pedge-env-dev,
         golang-goprotobuf-dev
Description: structured logging with Protocol Buffers
 Package lion provides structured logging, configurable to
 use serialization protocols such as Protocol Buffers.
