=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example thrift tail

override_dh_auto_test:
	# we need tail

%:
	dh $@ --buildsystem=golang --with=golang
